gnutls_rnd_refresh(3)

NAME
gnutls_rnd_refresh - API function

SYNOPSIS
#include <gnutls/crypto.h>

void gnutls_rnd_refresh();

ARGUMENTS

DESCRIPTION
This function refreshes the random generator state. That is the current precise time, CPU usage, and other values are input into its state. On a slower rate input from /dev/urandom is mixed too.

SINCE
3.1.7

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/